## GdaDbBuildable GdaDbBuildable |

## Stability Level

Stable, unless otherwise indicated

## Functions

gboolean | gda_db_buildable_parse_node ()
gboolean | gda_db_buildable_write_node ()

## Types and Values

| GdaDbBuildable
#define | GDA_TYPE_DB_BUILDABLE

## Object Hierarchy

        GInterface
        ╰── GdaDbBuildable

## Prerequisites

GdaDbBuildable requires GObject.

## Known Implementations

GdaDbBuildable is implemented by GdaDbColumn, GdaDbFkey, GdaDbTable and GdaDbView.

## Includes

    #include <libgda/gda-db-buildable.h>

## Description

GdaDbBuildable represents an interface for writing and reading xml nodes. GdaDbTable and GdaDbView implement this interface.

## Functions

### gda_db_buildable_parse_node ()

    gboolean
    gda_db_buildable_parse_node (GdaDbBuildable *self,
                                 xmlNodePtr node,
                                 GError **error);

This method parse XML node and populate `self` object.

#### Parameters

self | an instance of GdaDbBuildable where parsed data should be storred |
node | a node to parse |
error | an object to store the error. | [nullable]

#### Returns

`TRUE` on success, `FALSE` if an error occurred

Since: 6.0

Stability Level: Stable

### gda_db_buildable_write_node ()

    gboolean
    gda_db_buildable_write_node (GdaDbBuildable *self,
                                 xmlNodePtr node,
                                 GError **error);

Write content from the `self` to the `node`

#### Parameters

self | an instance of GdaDbBuildable where data should be taken |
node | a node to write data in |
error | an object to store error. | [nullable]

#### Returns

`TRUE` on success, `FALSE` if an error occurred

Since: 6.0

Stability Level: Stable

## Types and Values

### GdaDbBuildable

    typedef struct _GdaDbBuildable GdaDbBuildable;

### GDA_TYPE_DB_BUILDABLE

    #define GDA_TYPE_DB_BUILDABLE gda_db_buildable_get_type ()

## See Also

GdaDbTable, GdaDbView